﻿.index-left-box{
    width: 384px;
    max-width: 100%;
}
.index-left-box{
    padding-top: 96px;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    height: 100vh;
    box-sizing: border-box;
}
.index-left-title-box{
    width: 100%;
    height: 96px;
    display:         flex;
    display: -webkit-flex;
    flex-direction:column;
    -webkit-flex-direction:column;
    padding-left: 20px;
    box-sizing: border-box;
}

.index-left-title{
    font-size: 30px;
    color: #00b7ee;
    font-family: "Roboto";
    font-weight: bold;
    transform: skewX(-8deg);
    height: 40px;
}
.index-left-title-p-en{
    font-size: 14px;
    transform: skewX(-8deg);
    color: #FFF;
    font-family: "Roboto";
}

.index-left-title-p-ch{
    font-size: 14px;
    color: #FFF;
}
.index-left-search-box{
    width: 310px;
    max-width: 100%;
    padding: 30px 0;
    padding-left: 20px;
    box-sizing: border-box;
    position: relative;
    
    
}
.index-left-search{
    width: 100%;
    position: relative;
}

.input-search{
    width: 100%;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    height: 36px;
    padding-left: 5px;

}
.index-left-search-box i{
    font-size: 14px;
    color: #333333;
    position: absolute;
    right: 0;
    top:0;
    width: 36px;
    height: 36px;
    line-height: 36px;
    text-align: center;
    cursor: pointer;
}

.index-left-title2{
    padding-left: 20px;
    box-sizing: border-box;
    width: 100%;
    font-size: 22px;
    height: 96px;
    line-height: 96px;
    transform: skewX(-8deg);
    font-weight: bold;
    color: #FFF;
}
.index-left-class-list-box{
    width: 100%;
    font-size: 0;
    position: relative;
    z-index: 2;
}
.index-left-class-list{
    width: 96px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    position: relative;
}
.index-left-class-list-title-box{
    width: 100%;
    height: 96px;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    flex-direction:column;
    -webkit-flex-direction:column;
}

.index-left-class-list-title,
.index-left-class-list-title-en{
    font-size: 14px;
    color: #FFF;
    display: block;
    transform: skewX(-8deg);
}
.index-left-class-list-title{
    height: 18px;
}


.index-s-class-list-box{
    width: 192px;
    position: absolute;
    left: 0;
    background-color: #FFF;
    border: 1px solid #00b7ee;
    box-sizing: border-box;
    padding: 20px 0; 
    display: none;
    height: 200px;
    overflow: auto;
}
.index-s-class-list-back-box{
    display: none;
}
.index-s-class-list{
    font-size: 14px;
    color: #000;
    padding: 10px 0;
    padding-left: 10px;
    box-sizing: border-box;
    display: block;
    background-color: #FFF;
    position: relative;
    z-index: 1;
}
/* .index-s-class-list-box:after{
    content: 'none';
    width: 20px;
    height: 20px;
    display: block;
    background-color: #FFF;
    transform: rotate(45deg);
    border-top: 1px solid #00b7ee;
    border-left: 1px solid #00b7ee;
    position: absolute;
    top: -12px;
    left: 10px;
} */

.index-left-contact{
    padding-left: 20px;
    box-sizing: border-box;
    height: 96px;
    line-height: 96px;
}
.index-left-contact a{
    font-size: 22px;
    font-weight: bold;
    color: #FFF;
    transform: skewX(-8deg);
    display: inline-block;
}

.web-box{
    width: 100%;
    height: 80px;
    line-height: 80px;
    padding-left: 20px;
    box-sizing: border-box;
    font-size: 12px;
    color: #FFF;
    position: absolute;
    bottom: 0;
    left: 0;
}

.rwd-list-box{
    position: relative;
    z-index: 1;
}

/*---------------rwd-------------------*/
.rwd-menu-list-back{
    display: none;
}

.rwd-menu{
    width: 30px;
    max-width: 100%;
    position: absolute;
    right: 20px;
    z-index: 99999;
    display: none;
    top: calc(50% - 14px);
}

.rwd-menu span{
    width: 100%;
    display: block;
    margin: 0 auto;
    height: 2px;
    background-color: #00b7ee;
    position: relative;
}

.rwd-menu> span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu> span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu> span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-bth-line,
.rwd-menu-bth-line2{
    position: absolute;
    top: 6px;
    left:0;
    width: 100%;
}
.rwd-menu-bth-line span,
.rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}


.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    transition-delay: .1s;
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu.bth2> span:nth-child(2){
    transform: scale(0,1);
}
.rwd-menu.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0s;
}

.rwd-menu-style2.active> span:nth-child(2){
    transform: rotate(45deg);
    transition: all .4s linear;
}
.rwd-menu-style2.active> span:nth-child(4){
    transform: scaleX(1) rotate(-45deg);
    transition-delay: 0.3s;
}
.rwd-menu.active> span{
    background-color: #ee1b2d;
}


@media only screen and (min-width: 1000px){
    .index-left-title-box{
    animation: fade .8s ease 0s 1 both;
    }
    .index-left-search-box{
        animation: fadeInRight .8s ease .2s 1 both;
    }
    .rwd-list-box{
        animation: fadeInUp .8s ease .3s 1 both;
    }
}


@media only screen and (max-width: 1820px){
    .index-left-box{
        padding-top: 80px;
        width: 320px;
    }
    .index-left-title{
        font-size: 26px;
        height: 34px;
    }
    .index-left-search-box{
        width: 300px;
        padding: 22px 0;
        padding-left: 20px;
    }
    .index-left-class-list{
        width: 80px;
    }
    .index-left-contact,
    .index-left-title2{
        line-height: 80px;
    }
    .index-left-class-list-title-box,
    .index-left-contact,
    .index-left-title2,
    .index-left-title-box{
        height: 80px;
    }
}

@media only screen and (max-width: 1525px){
    .index-left-box{
        padding-top: 84px;
        width: 340px;
    }
    .index-left-title{
        font-size: 26px;
        height: 34px;
    }
    .index-left-search-box{
        width: 300px;
        max-width: 100%;
        padding: 24.5px 0;
        padding-left: 20px;
    }
    .index-left-class-list{
        width: 85px;
    }
    .index-left-contact,
    .index-left-title2{
        line-height: 85px;
    }
    .index-left-class-list-title-box,
    .index-left-contact,
    .index-left-title2,
    .index-left-title-box{
        height: 85px;
    }
}

@media only screen and (max-width: 1199px){
    .index-left-box {
        width: 100%;
        display: block;
        position: relative;
        z-index: 999;
        height: inherit;
        padding-top: 0;
    }
    .index-left-title-box{
        position: fixed;
        top: 0;
        left: 0;
        background-color: #1b1b1b;
        display: block;
        z-index: 1;
    }
    .index-left-search-box{
        width: 1000px;
        margin: 0 auto;
        padding-left: 0;
        margin-top: 85px;
    }
    .index-left-search{
        width: 300px;
        max-width: 100%;
    }
    .index-left-title{
        display: inline-block;
    }
    .index-left-class-list-title-box{
        display: block;
        padding: 10px 0;
        padding-left: 20px;
        box-sizing: border-box;
        height: inherit;
    }
    .index-left-class-list{
        width: 100%;
        position: static;
        display: block;
    }
    .index-left-class-list-box{
        position: static;
    }
    .rwd-menu{
        display: block;
        top: 35px;
        position: fixed;
    }
    .rwd-list-box{
        position: fixed;
        height: calc(100vh - 85px);
        top: 85px;
        left: -300px;
        width: 300px;
        max-width: 100%;
        background-color: #1b1b1b;
        z-index: 1;
        transition: all .8s ease;
        overflow: auto;
    }
    .rwd-list-box.active{
        left: 0;
    }
    .web-box{
        display: none;
    }
    .footer-web{
        display: block;
        width: 100%;
        text-align: center;
        font-size: 12px;
        color: #FFF;
        position: relative;
        z-index: 1;
        padding-bottom: 10px;
    }
   
}
@media only screen and (max-width: 1000px){
    .rwd-list-box{
        overflow: initial;
    }
    .index-left-search-box{
        width: 750px;
    }
}
@media only screen and (max-width: 750px){
    .index-left-search-box{
        width: 550px;
    }
}

@media only screen and (max-width: 550px){
    .rwd-list-box{
        padding-top: 10px;
        box-sizing: border-box;
    }
    .index-left-search-box{
        width: 340px;
    }
    .index-left-title2,
    .index-left-contact{
        height: initial;
        line-height: initial;
        padding: 10px 0;
        padding-left: 20px;
        font-size: 18px;
    }
    .index-left-contact a{
        font-size: 18px;
    }
}
@media only screen and (max-width: 340px){
    .index-left-search-box{
        width: 95%;
    }
}
